Zydis v4.1.1

Loading...
Searching...
No Matches
ZydisDecodedOperandMem_ Struct Reference

Extended info for memory-operands. More...

`#include <DecoderTypes.h>`

## Data Structures
struct | ZydisDecodedOperandMemDisp_
| Extended info for memory-operands with displacement. More...

## Data Fields
ZydisMemoryOperandType | type
| The type of the memory operand.
ZydisRegister | segment
| The segment register.
ZydisRegister | base
| The base register.
ZydisRegister | index
| The index register.
ZyanU8 | scale
| The scale factor.
struct ZydisDecodedOperandMem_::ZydisDecodedOperandMemDisp_ | disp

## Detailed Description

Extended info for memory-operands.

## Field Documentation

## ◆ base

ZydisRegister base

The base register.

## ◆ disp

struct ZydisDecodedOperandMem_::ZydisDecodedOperandMemDisp_ disp

## ◆ index

ZydisRegister index

The index register.

## ◆ scale

ZyanU8 scale

The scale factor.

## ◆ segment

ZydisRegister segment

The segment register.

## ◆ type

ZydisMemoryOperandType type

The type of the memory operand.

The documentation for this struct was generated from the following file:

- include/Zydis/DecoderTypes.h